# -*- coding: utf-8 -*-
"""Untitled11.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1DqZx2lyrGHdmy50ahTo5XyQyUSysZ_W1
"""

x=int(input('Enter first number : '))  
y=int(input('Enter second number : '))  
sum1=0  
sum2=0  
for i in range(1,x):  
    if x%i==0:  
        sum1+=i  
for j in range(1,y):  
    if y%j==0:  
        sum2+=j  
if(sum1==y and sum2==x):  
    print('Given numbers are Amicable!')  
else:  
    print('Given numbers are not Amicable!')

#2)
def transform(c):
  for ch in c:
   if ch=='a'or ch=='e'or ch=='i' or ch=='o' or ch=='u':
      print(ch,end=" ")
    
   else:
      s=ch.upper()
      print(s,end=" ")
      


string=input("enter a string")
c=string.lower()
transform(c)

#3)
def transform(w1,w2,w3):
  for ch in w1:
    if ch=='a' or ch=='A' or ch=="e" or ch=='E' or ch=='I' or ch=='i' or ch=='o' or ch=='O' or ch=='u' or ch=="U":
     s1= print('$',end="")
    else:
     s1= print(ch,end="")
  for ch in w2:
    if ch=='a' or ch=='A' or ch=="e" or ch=='E' or ch=='I' or ch=='i' or ch=='o' or ch=='O' or ch=='u' or ch=="U":
     s2= print(ch,end="")
    else:
      s2=print("#",end="")
  s3=w3.upper()
  print("{}{}{}".format(s1,s2,s3))

word1=input("enter 1st word:")
word2=input("enter 2nd string:")
word3=input("enter 3rd string:")
transform(word1,word2,word3)